require "rechn_mgm_user_area/dependencies"
module RechnMgmUserArea
    class Engine < ::Rails::Engine
        isolate_namespace RechnMgmUserArea

        initializer :set_decorator_paths, :before => :load_environment_hook do |app|
            ActiveSupportDecorators.debug = true
            ActiveSupportDecorators.paths << File.join(config.root, 'app/**')

            #puts "Autoload-Paths: #{ActiveSupport::Dependencies.autoload_paths}"
            #puts "Expanded-Paths: #{ActiveSupportDecorators.expanded_paths}"
        end

        config.generators do |g|
            g.test_framework :rspec
            g.fixture_replacement :factory_bot
            g.factory_bot dir: 'spec/factories'
        end
    end
end
