module RechnMgmUserArea
    module UsersHelper

        def tel_to(text)
            groups = text.to_s.scan(/(?:^\+)?\d+/)
            link_to text, "tel:#{groups.join '-'}"
        end

        def is_user_owner_of_organisation(user, current_membership)
            membership_of_user = RechnMgmUserArea::MemberShip.where(user_id: user.id, organisation_id: current_membership.organisation_id).first
            membership_of_user.is_primary
        end
    end
end
